# Pricing and Limits

## **We'll set you up with everything you need to get started immediately**

Watch Units for all our methods have been calculated in advance. When you interact with our API you won’t encounter the fact that you may be recalculated units in real time. That means that you don’t need to worry about sudden changes in your cost structure.&#x20;

{% hint style="info" %}
Read more about [Watch Units](/resources/pricing-and-limits/watch-units.md)
{% endhint %}

### **Pricing plans**

| Features                                                            | $0 - Free   | $49 - Start Up  | $99 - Business | $299 - Production  | Custom    |
| ------------------------------------------------------------------- | ----------- | --------------- | -------------- | ------------------ | --------- |
| Watch units per month                                               | 100 000 000 | 200 000 000     | 450 000 000    | 600 000 000        | Custom    |
| API keys                                                            | 5           | 10              | 15             | 20                 | Custom    |
| Watch units / sec                                                   | 200         | 400             | 600            | 600                | Custom    |
| Support                                                             | -           | Discord support | Email support  | 24/7 Email support | Dedicated |
| [Powered API\*](/welcome-to-watchdata-docs/features/powered-api.md) | ✅           | ✅               | ✅              | ✅                  | ✅         |
| Multichain Mainnets and Testnets                                    | ✅           | ✅               | ✅              | ✅                  | ✅         |
| Full Archive Data                                                   | ✅           | ✅               | ✅              | ✅                  | ✅         |
| No Daily Request Limits                                             | ✅           | ✅               | ✅              | ✅                  | ✅         |
| Pay in crypto\*                                                     | -           | ✅               | ✅              | ✅                  | ✅         |
| Custom SLAs                                                         | -           | -               | -              | -                  | ✅         |

## Method costs

<table><thead><tr><th width="421.5">eth_blockNumber</th><th>watch units</th></tr></thead><tbody><tr><td>eth_blockNumber</td><td>10</td></tr><tr><td>eth_call</td><td>45</td></tr><tr><td>eth_chainId</td><td>1</td></tr><tr><td>eth_estimateGas</td><td>135</td></tr><tr><td>eth_gasPrice</td><td>30</td></tr><tr><td>eth_getBalance</td><td>30</td></tr><tr><td>eth_getBlockByHash</td><td>45</td></tr><tr><td>eth_getBlockByNumber</td><td>30</td></tr><tr><td>eth_getBlockTransactionCountByHash</td><td>30</td></tr><tr><td>eth_getBlockTransactionCountByNumber</td><td>30</td></tr><tr><td>eth_getCode</td><td>30</td></tr><tr><td>eth_getLogs</td><td>120</td></tr><tr><td>eth_getStorageAt</td><td>30</td></tr><tr><td>eth_getTransactionByBlockHashAndIndex</td><td>30</td></tr><tr><td>eth_getTransactionByBlockNumberAndIndex</td><td>30</td></tr><tr><td>eth_getTransactionByHash</td><td>30</td></tr><tr><td>eth_getTransactionReceipt</td><td>30</td></tr><tr><td>eth_getUncleCountByBlockHash</td><td>30</td></tr><tr><td>eth_getUncleCountByBlockNumber</td><td>30</td></tr><tr><td>eth_sendRawTransaction</td><td>375</td></tr><tr><td>parity_getBlockReceipts</td><td>45</td></tr><tr><td>trace_block</td><td>45</td></tr><tr><td>trace_transaction</td><td>45</td></tr><tr><td>watch_getTokenBalances</td><td>120</td></tr><tr><td>watch_getTransfers</td><td>120</td></tr><tr><td>watch_getTransfersByAddress</td><td>120</td></tr><tr><td>watch_getBlockNumberByTimestamp</td><td>120</td></tr><tr><td>watch_getStatsByDay</td><td>120</td></tr><tr><td>watch_getTokenMetadata</td><td>120</td></tr></tbody></table>

If you require more limits, please contact us by mail <marketing@thewatch.io>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.watchdata.io/resources/pricing-and-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
